import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class TestCookiesRecv extends HttpServlet {

    protected void doGet( HttpServletRequest request,
			  HttpServletResponse response )
	throws ServletException, IOException
    {
	response.setContentType( "text/html" );
	PrintWriter out = response.getWriter();
	out.println("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\n" +
		    "    \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">");
	out.println("<html xmlns = \"http://www.w3.org/1999/xhtml \">");
	out.println("<head><title>Cookie ricevuti</title></head><body>");
	Cookie cookies[] = request.getCookies();
	if (cookies != null) {
	    for (int i = 0; i < cookies.length; i++) {
		out.println("<p>Nome: " + cookies[i].getName() + "<br/>Valore: " + cookies[i].getValue() + "<br/>Path: " + (cookies[i].getPath() != null? cookies[i].getPath() : "") + "<br/>Dominio: " + (cookies[i].getDomain() != null? cookies[i].getDomain() : "") + "</p>");
	    }
	}
	out.println("</body></html>");
    }
}
