import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class TestCookiesDel extends HttpServlet {
    
    private void eraseCookie(HttpServletRequest req, HttpServletResponse resp, String name) {
	Cookie[] cookies = req.getCookies();
	if (cookies != null) {
	    for (int i = 0; i < cookies.length; i++) {
		if (cookies[i].getName().equals(name)) {
		    cookies[i].setMaxAge(0);
		    resp.addCookie(cookies[i]);
		}
	    }
	}
    }

    protected void doGet( HttpServletRequest request,
			  HttpServletResponse response )
	throws ServletException, IOException
    {
	eraseCookie(request, response, request.getParameter("parameter"));
    }
}
